#
# spec file for package Xtheater (Version 0.9.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile avifile esound glib glib-devel gpp gtk gtk-devel kdelibs-artsd libgpp smpeg smpeg-devel xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake avifile base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         Xtheater
Copyright:    GPL
Group:        X11/Applications/Multimedia
#Requires:     xforms
Autoreqprov:  on
Version:      0.9.2
Release:      182
Summary:      player for AVI and MPEG videos
URL:          http://Xtheater.sourceforge.net/
Source: http://download.sourceforge.net/Xtheater/Xtheater-%{version}.tar.bz2
Patch: Xtheater-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
Xtheater is a simple player for AVI and MPEG videos.
To be able to play AVI videos you have to install the corresponding
codecs first. Read the notes in
/usr/share/doc/packages/avifile/README.SuSE

Authors:
--------
    Jarrod Johnson <jbjohns4@eos.ncsu.edu>

SuSE series: gra

%prep
%setup
%patch

%build
# For CVS snapshots:
#./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
./configure --prefix=/usr/X11R6/lib --bindir=/usr/X11R6/bin \
	--disable-static
make 

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog README INSTALL TODO NEWS
/usr/X11R6/lib/Xtheater
/usr/X11R6/bin/xtheater

%changelog -n Xtheater
* Thu Aug 16 2001 - nadvornik@suse.cz
- added smpeg-devel to neededforbuild
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Tue Jul 24 2001 - uli@suse.de
- added XVideo fix from homepage
* Wed Jul 04 2001 - ro@suse.de
- added kdelibs for artsd
* Thu May 10 2001 - grimmer@suse.de
- Corrected Group Tag: Applications/Multimedia ->
  X11/Applications/Multimedia (#7898)
* Tue Mar 27 2001 - ro@suse.de
- added sdl-devel to neededforbuild
* Tue Feb 27 2001 - bk@suse.de
- update to 0.9.2 and disable installation of static libraries
- use RPM_OPT_FLAGS for compiling and strip installed binary
* Wed Feb 21 2001 - uli@suse.de
- added audiofile, esound, alsa to neededforbuild (required by
  new SDL)
* Thu Dec 21 2000 - nadvornik@suse.cz
- update to 0.9.1CVS ( 0.5.4 doesn't work with avifile 0.51 )
* Thu Nov 23 2000 - uli@suse.de
- new package, version 0.5.4
